function [ind_m,ind_n,scores]=cbfs(target,feat_pool,S,sigma,feat_m)

samples=size(target,2);

dim=size(target,1);
target_proj=randn(S,dim)*target;

F=size(feat_pool,1);

%slow gt comparison
% CC=zeros(F);
% for i=1:F; 
%     for j=1:F;
%         CC(i,j)=corr((feat_pool(i,:)-feat_pool(j,:))',target_proj(1,:)');
%     end; 
% end;


%dependent on projection of current target
target_m=target_proj-repmat(mean(target_proj,2),1,samples);
cov_yp=1/samples*feat_m*target_m';
ind_m=zeros(S,1); ind_n=zeros(S,1);
scores=zeros(F,F,S);
%for each fern-bit
for s=1:S
score=abs((repmat(cov_yp(:,s),1,F)-repmat(cov_yp(:,s)',F,1)))./sqrt(abs(sigma));%./sigma;%/std2(1).
[~,inds]=max(score(:));
scores(:,:,s)=score;
[ymaxm,xmaxm]=ind2sub([F,F],inds);
ind_m(s)=ymaxm;
ind_n(s)=xmaxm;
end
